Issue 26745

Summary: Open dialog: stale file icon for stale symlink
Product: General Reporter: jmnbpt <jmnbpt>
Component: uiAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P5 (lowest) CC: elish, issues
Version: OOo 1.1   
Target Milestone: ---   
Hardware: PC   
OS: Linux, all   
Issue Type: ENHANCEMENT Latest Confirmation in: 4.1.0-dev
Developer Difficulty: ---

Description jmnbpt 2004-03-19 16:30:29 UTC
Hi, 


I hate to be a pain (maybe this should be a "P9" priority...), but I found this
"feature" on OOo 1.1.0 running in Linux, and think it should be reported:

1) Create a stale symbolic link, e.g.:

        ln -s ./nonexistent yesitdoes

2) Bring up "Open file" dialog in OOo

3) A stale icon in the file list appears. Right-clicking and selecting "Delete"
cannot erase it.


Solution:

Open terminal emulator (xterm or other), and delete the blamed symlink. Perhaps
this requires OOo to recognize stale symlinks and not displaying them?
Comment 1 stefan.baltzer 2004-05-18 10:46:30 UTC
SBA: Component changed to Framework. Target set to OOo later. Reassigned to TM.
Comment 2 thorsten.martens 2004-06-15 09:33:36 UTC
TM->BH: This might be a wish for an enhancement. By now OOo doesn´t have the
ability to scan and detect stale symlinks and avoiding displaying them.
Comment 3 ace_dent 2008-05-16 02:13:47 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised is currently 'Unconfirmed' pending review, but has not been
updated within the last 3 years. Please consider re-testing with one of the
latest versions of OOo, as the problem(s) may have already been addressed.
Either use the recent stable version: http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 4 bettina.haberer 2010-05-21 14:47:18 UTC
To grep the issues easier via "requirements" I put the issues currently lying on
my owner to the owner "requirements". 
Comment 5 Edwin Sharp 2014-02-16 18:29:21 UTC
Confirmed with
AOO410m1(Build:9750)  -  Rev. 1566800
2014-02-11_04:11:01 - Rev. 1566981
Debian